petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCFactorReorderForNonzeroDiagonal

reorders rows/columns of matrix to remove zeros from diagonal

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorReorderForNonzeroDiagonal(PC pc,PetscReal rtol)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| tol | - diagonal entries smaller than this in absolute value are considered zero Many br

### Options Database Key

-pc_factor_nonzeros_along_diagonal <tol> - Many br Many br

### Keywords

PC, set, factorization, direct, fill

### See Also

PCFactorSetFill(), PCFactorSetShiftNonzero(), PCFactorSetZeroPivot(), MatReorderForNonzeroDiagonal()

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages